Subject: Re: /bin/shutdown on ME
From: CBFalconer <[email-masked]>
To: [email-masked]
Date: Thu, 14 Nov 2002 08:07:04 -0500

Corinna Vinschen wrote:
> On Wed, Nov 13, 2002 at 09:29:18PM -0600, Chris Polley wrote:
> >
> > When I try to "shutdown -r now", Windows (ME 4.90.3000) complains
> > that I "must quit [shutdown] before I quit Windows." If I click
> > Cancel, shutdown complains "shutdown: Couldn't reboot: Incorrect
> > function.", and if I click OK, windows reports after a while that
> > shutdown isn't responding, and gives the Wait/End Task/Cancel
> > dialog. :-(
> >
> > Is this a known limitation of cygwin on ME, or should I delve
> > further?
> 
> It's a limitation of the shutdown tool.  It only works reasonably on
> NT/2K/XP.  Patches to get it working on 9x/Me are more than welcome.

Under W98/4dos I do a command line shutdown using the alias:

    c:\windows\rundll.exe user.exe,exitwindows

-- 
Chuck F ([email-masked]) ([email-masked])
   Available for consulting/temporary embedded and systems.
   <http://cbfalconer.home.att.net>  USE worldnet address!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/